Bug 9433 - Translatability: Too many comments in system preferences po file
Summary: Translatability: Too many comments in system preferences po file
Status: CLOSED WORKSFORME
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-19 11:37 UTC by Katrin Fischer
Modified: 2018-06-04 20:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9433 - Translatability: Too many comments in system preferences po file (4.22 KB, patch)
2017-05-29 17:56 UTC, Marc Véron
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-01-19 11:37:02 UTC
If you open one of the po files for translating system preferences in an editor, you see lots of comments:

# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
# Web services > Reporting
msgid "web_services.pref#SvcMaxReportRows# rows of a report requested via the reports web service."
msgstr "Zeilen für einen Report, der über den Reports Web Service ausgeführt wird."


I checked Chinese and German 3.10 files - both show the additional comments.

Right now I don't know why that is or how it happens, but I wanted to document it anyway :)
Comment 1 Marc Véron 2017-05-29 17:48:36 UTC
Verified on current master.
Comment 2 Marc Véron 2017-05-29 17:56:18 UTC
Created attachment 63831 [details] [review]
Bug 9433 - Translatability: Too many comments in system preferences po file

This patch adds quotes to strings in web_services.pref to avoid lots of
comments in preferences po file.

To verify: See initial comment.
  (A lot of lines 'Web services > reporting and other similar lines)
To test:
- Apply patch
- go to misc/translator, then perl translate create aa-AA
  for an 'language' aa-AA
- Verify in po/aa-AA-pref.po that the issue from initial comment is gone
Comment 3 Marc Véron 2017-05-30 14:16:42 UTC
More to come...
Comment 4 Jonathan Druart 2017-05-30 14:21:18 UTC
Marc, I do not recreate:

% perl translate update es-ES
% grep "Web services > Reporting" po/es-ES-pref.po|wc -l 
3
Comment 5 Marc Véron 2017-05-30 14:27:11 UTC
(In reply to Jonathan Druart from comment #4)
> Marc, I do not recreate:
> 
> % perl translate update es-ES
> % grep "Web services > Reporting" po/es-ES-pref.po|wc -l 
> 3

Try create (not update)
perl translate create aa-AA
Then open po/aa-AA-pref.po
Comment 6 Marc Véron 2017-05-30 14:49:42 UTC
When I tested I compared with the file downloaded from translate.koha-community.org

Cait, can you have a look please? - Can you still reproduce?

(BTW: The problem appears still in http://translate.koha-community.org/de/17.05/)
Comment 7 Katrin Fischer 2017-07-08 18:43:37 UTC
I didn't rememember filing this one :)

Checked the file on Pootle - it's clean. I'll mark this WORKSFORME now.